%define upstreamid	20180411

Name:		mythes-de
Version:	0.%{upstreamid}.1
Release:	%mkrel 6
Summary:	German thesaurus
License:	LGPLv2+
Group:		Text tools
URL:		http://www.openthesaurus.de
Source0:	http://www.openthesaurus.de/export/Deutscher-Thesaurus.oxt#/%{name}-de-%{version}.oxt
Source1:	http://www.openthesaurus.de/export/Schweizer-Thesaurus.oxt#/%{name}-sw-%{version}.oxt
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	perl

Requires:	mythes
Requires:	locales-de

%description
German thesaurus.

%prep
%setup -q -c

rm -rf mythes-ch-%{upstreamid}
mkdir mythes-ch-%{upstreamid}
cd mythes-ch-%{upstreamid}
unzip -q %{SOURCE1}

%build
for i in README.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_de_DE_v2.* %{buildroot}%{_datadir}/mythes
cp -p mythes-ch-%{upstreamid}/th_de_DE_v2.idx %{buildroot}%{_datadir}/mythes/th_de_CH_v2.idx
cp -p mythes-ch-%{upstreamid}/th_de_DE_v2.dat %{buildroot}%{_datadir}/mythes/th_de_CH_v2.dat

pushd %{buildroot}%{_datadir}/mythes/
de_DE_aliases="de_AT de_BE de_LI de_LU"
for lang in $de_DE_aliases; do
        ln -s th_de_DE_v2.idx "th_"$lang"_v2.idx"
        ln -s th_de_DE_v2.dat "th_"$lang"_v2.dat"
done
popd

%files
%doc README.txt
%{_datadir}/mythes/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20180411.1-6.mga8
+ Revision: 1502222
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20180411.1-5.mga7
+ Revision: 1280121
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 kekepower <kekepower> 0.20180411.1-4.mga7
+ Revision: 1217867
- Update to release 20180411

* Mon Feb 08 2016 umeabot <umeabot> 0.20140822.1-4.mga6
+ Revision: 947094
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20140822.1-3.mga5
+ Revision: 739262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20140822.1-2.mga5
+ Revision: 682737
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 daviddavid <daviddavid> 0.20140822.1-1.mga5
+ Revision: 666619
- new version: 0.20140822.1

* Sat Oct 19 2013 umeabot <umeabot> 0.20090708.1-8.mga4
+ Revision: 522818
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20090708.1-7.mga3
+ Revision: 406100
- requires locales-mythes-de (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20090708.1-6.mga3
+ Revision: 360591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090708.1-5.mga1
+ Revision: 68414
- imported package mythes-de


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090708-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 03 2010 Caolan McNamara <caolanm@redhat.com> - 0.20090708-4
- mythes now owns /usr/share/mythes

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090708-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090708-2
- tidy spec

* Wed Jul 08 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090708-1
- latest version

* Mon Jun 08 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090608-1
- latest version

* Thu Apr 02 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090402-1
- latest version

* Mon Mar 02 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090302-1
- latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090202-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090202-1
- latest version

* Tue Dec 23 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081223-1
- latest version

* Sun Nov 23 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081123-1
- latest version

* Thu Oct 16 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081016-1
- latest version

* Mon Sep 01 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080901-1
- latest version

* Thu Jul 31 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080731-1
- latest version
